/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/

#ifndef CASSINIINDEXFILE_H
#define CASSINIINDEXFILE_H

#include <QObject>


#define DATA_SET_ID 0
#define FILE_SPECIFICATION_NAME 1
#define PRODUCT_ID 2
#define VOLUME_ID 3
#define PRODUCT_CREATION_TIME 4
#define TARGET_NAME 5
#define START_TIME 6
#define STOP_TIME 7


typedef struct CassiniIndexLine
{
    QString cels[8];
}CassiniIndexLine;

class CassiniIndexFile:QObject
{
    Q_OBJECT
public:
    CassiniIndexFile();
    ~CassiniIndexFile();
    QList<CassiniIndexLine> loadFile(const QString& file);
signals:
public slots:
private:
};

#endif // CASSINIINDEXFILE_H
